The perfect setup Ubuntu VM image - No phpMyAdmin and webmail?

Discussion in 'ISPConfig 3 Priority Support' started by JohnnyBeGood, Jan 13, 2018.

  1. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    Hi,

    So I'm trying to configure other server and I downloaded this VM image https://www.howtoforge.com/tutorial...l-pureftpd-bind-postfix-doveot-and-ispconfig/
    Using this command apt-get update && apt-get upgrade I updated system to Ubuntu 14.04.5 LTS.
    When I try to access http://SERVER_IP/phpmyadmin I'm getting HTTP ERROR 500.
    I've updated default root mysql password using this https://www.howtoforge.com/setting-changing-resetting-mysql-root-passwords
    and also entered new password here /usr/local/ispconfig/server/lib/mysql_clientdb.conf

    After reboot I've tried to check if there was any other updated and was getting
    Code:
    [email protected]:~# apt-get update && apt-get upgrade
    Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
    Hit:2 http://de.archive.ubuntu.com/ubuntu xenial InRelease
    Hit:3 http://de.archive.ubuntu.com/ubuntu xenial-updates InRelease
    Hit:4 http://de.archive.ubuntu.com/ubuntu xenial-backports InRelease
    Fetched 102 kB in 0s (153 kB/s)
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    The following packages have been kept back:
      libapache2-mod-php7.0 libdrm2 libmagickcore-6.q16-2-extra linux-generic linux-headers-generic linux-image-generic php7.0 php7.0-cgi php7.0-cli php7.0-common
      php7.0-curl php7.0-fpm php7.0-gd php7.0-imap php7.0-intl php7.0-json php7.0-ldap php7.0-mbstring php7.0-mcrypt php7.0-mysql php7.0-opcache php7.0-pspell
      php7.0-readline php7.0-recode php7.0-soap php7.0-sqlite3 php7.0-tidy php7.0-xml php7.0-xmlrpc php7.0-xsl phpmyadmin
    0 upgraded, 0 newly installed, 0 to remove and 31 not upgraded.
    [email protected]:~#
    
    31 not upgraded and one of them is phpmyadmin.
    https://prnt.sc/hzoy95

    Also I do not have webmail. Was squiremail install? If not I was planning to install roundcube anyway because interface looks much nicer.

    Before I start doing changes on my own and breaking more and I wanted to see if someone can help me with this?

    Thanks!

    EDIT:
    Solved phpmyadmin issue because there was error in apache logs
    PHP Fatal error: require_once(): Failed opening required '/usr/share/php/php-gettext/gettext.inc' (include_path='.:/usr/share/php') in /usr/share/phpmyadmin/libraries/select_lang.lib.php on line 477
    Running apt-get install php-gettext fixed that.
    After I was not able to login with root into phpmyadmin
    and was getting #1698 - Access denied for user 'root'@'localhost'
    so I solved it with this suggestion https://www.howtoforge.com/community/threads/1698-access-denied-for-user-root-localhost.77178/
    Hope it helps someone!

    Now what's left is reason why I can't update the rest of the packages?
     
    Last edited: Jan 13, 2018
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    run:

    Code:
    apt-get install libapache2-mod-php7.0 libdrm2 libmagickcore-6.q16-2-extra linux-generic linux-headers-generic linux-image-generic php7.0 php7.0-cgi php7.0-cli php7.0-common php7.0-curl php7.0-fpm php7.0-gd php7.0-imap php7.0-intl php7.0-json php7.0-ldap php7.0-mbstring php7.0-mcrypt php7.0-mysql php7.0-opcache php7.0-pspell php7.0-readline php7.0-recode php7.0-soap php7.0-sqlite3 php7.0-tidy php7.0-xml php7.0-xmlrpc php7.0-xsl phpmyadmin
    to update them.
     
  3. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    Thanks, that worked!
    Code:
    Welcome to Ubuntu 16.04.3 LTS (GNU/Linux 4.4.0-109-generic x86_64)
    
    * Documentation:  https://help.ubuntu.com
    * Management:     https://landscape.canonical.com
    * Support:        https://ubuntu.com/advantage
    
    0 packages can be updated.
    0 updates are security updates.
    
    
    You have new mail.
    Last login: Sat Jan 13 00:46:02 2018 from xx.xxx.xx.xxx
    [email protected]:~# 


    What is left is odd issue with Roundcube. It does not work reliably and in logs (/var/log/roundcube/errors) I get this
    PHP Error: php_zip extension is required for the zipdownload plugin in /usr/share/roundcube/plugins/zipdownload/zipdownload.php on line 30 (POST /roundcube/?_task=mail&_action=refresh?_task=&_action=)

    Any idea what I can do? I've searched but could not find anything related toUbuntu 16.04. It was installed as part of VM image.
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Might be a problem in the Ubuntu Roundcube package which did not install all dependencies. Install the php zip package, that should be either:

    apt-get install php7.0-zip

    or

    apt-get install php-zip
     
  5. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    So I started with php7.0-zip and it installed fine but I was still getting errors (/var/log/roundcube/errors).
    After that I've installed php-zip and its showing below error every time I login in roundcube.

    Code:
    [13-Jan-2018 09:52:27 -0800]: <l9fjghvj> PHP Error: Failed to load config from /var/lib/roundcube/plugins/jqueryui/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (POST /roundcube/?_task=login?_task=login&_action=login)
    [13-Jan-2018 09:52:28 -0800]: <cktnp4c0> PHP Error: Failed to load config from /var/lib/roundcube/plugins/zipdownload/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail)
    [13-Jan-2018 09:52:28 -0800]: <cktnp4c0> PHP Error: Failed to load config from /var/lib/roundcube/plugins/jqueryui/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail)
    [13-Jan-2018 09:52:28 -0800]: <cktnp4c0> PHP Error: Failed to load config from /var/lib/roundcube/plugins/zipdownload/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail&_action=list&_refresh=1&_mbox=INBOX&_remote=1&_unlock=loading1515865948197&_=1515865948074)
    [13-Jan-2018 09:52:28 -0800]: <cktnp4c0> PHP Error: Failed to load config from /var/lib/roundcube/plugins/zipdownload/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail&_action=getunread&_page=1&_remote=1&_unlock=0&_=1515865948075)
    
    /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php line 157 has this:
    Code:
    'file' => __FILE__, 'line' => __LINE__,
    Search did not bring any solutions. Any idea?
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    How do you access roundcube? The roundcubeURL is http://server1.example.com/roundcube
    replace server1.example.com with the hostname of your server, do not use port 8080 in the URL.
     
  7. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

  8. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

  9. till

    till Super Moderator Staff Member ISPConfig Developer

    Your problem is not related to the rouncube version. The URL that you can use to access roundcube depends on which alias you configured for roundcube in the apache config file.
     
  10. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    I have not modifed any of the alias because it came with VM image and if you are refering to this apache config file /etc/apache2/conf-available/roundcube.conf it it sum link of /etc/roundcube/apache.conf
    and it has this:
    Code:
    # Those aliases do not work properly with several hosts on your apache server
    # Uncomment them to use it or adapt them to your configuration
    Alias /roundcube /var/lib/roundcube
    
    <Directory /var/lib/roundcube/>
      AddType application/x-httpd-php .php
      Options +FollowSymLinks
      # This is needed to parse /var/lib/roundcube/.htaccess. See its
      # content before setting AllowOverride to None.
      AllowOverride All
      <IfVersion >= 2.3>
        Require all granted
      </IfVersion>
      <IfVersion < 2.3>
        Order allow,deny
        Allow from all
      </IfVersion>
    </Directory>
    
    # Protecting basic directories:
    <Directory /var/lib/roundcube/config>
            Options -FollowSymLinks
            AllowOverride None
    </Directory>
    
    <Directory /var/lib/roundcube/temp>
            Options -FollowSymLinks
            AllowOverride None
            <IfVersion >= 2.3>
              Require all denied
            </IfVersion>
            <IfVersion < 2.3>
              Order allow,deny
              Deny from all
            </IfVersion>
    </Directory>
    
    <Directory /var/lib/roundcube/logs>
            Options -FollowSymLinks
            AllowOverride None
            <IfVersion >= 2.3>
              Require all denied
            </IfVersion>
            <IfVersion < 2.3>
              Order allow,deny
              Deny from all
            </IfVersion>
    </Directory>
    
    
    It has correct alias Alias /roundcube /var/lib/roundcube

    These are errors after each login:
    /var/log/roundcube/errors
    Code:
    [18-Jan-2018 15:23:59 -0800]: <rkbj5fvd> PHP Error: Failed to load config from /var/lib/roundcube/plugins/jqueryui/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (POST /roundcube/?_task=login?_task=login&_action=login)
    [18-Jan-2018 15:23:59 -0800]: <o5uukdgq> PHP Error: Failed to load config from /var/lib/roundcube/plugins/zipdownload/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail)
    [18-Jan-2018 15:23:59 -0800]: <o5uukdgq> PHP Error: Failed to load config from /var/lib/roundcube/plugins/jqueryui/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail)
    [18-Jan-2018 15:23:59 -0800]: <o5uukdgq> PHP Error: Failed to load config from /var/lib/roundcube/plugins/zipdownload/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail&_action=list&_refresh=1&_mbox=INBOX&_remote=1&_unlock=loading1516317839613&_=1516317839496)
    [18-Jan-2018 15:24:00 -0800]: <o5uukdgq> PHP Error: Failed to load config from /var/lib/roundcube/plugins/zipdownload/config.inc.php in /usr/share/roundcube/program/lib/Roundcube/rcube_plugin.php on line 157 (GET /roundcube/?_task=mail&_action=getunread&_page=1&_remote=1&_unlock=0&_=1516317839497)
    
     
  11. till

    till Super Moderator Staff Member ISPConfig Developer

    Ok, but if I understand you correctly, you installed now a different RoundCube version in another folder, so you have to remove the default RoundCube that came with the VM and add config for your custom installed RoundCube instead. Otherwise, you would still get the Ubuntu default RoundCube install when you enter a /roundcube URL.
     
  12. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    Sorry for the confusion and not being clear but I did not install new version of RoundCube. I was simply asking if installing new version is possible and it seems like it is. So, just for testing purposes I will rename /etc/roundcube to /etc/roundcube2 and /var/lib/roundcube to /var/lib/roundcube2 and follow above tutorial for Debian.
    Obviously, I will need to rename current RoundCube DB.
    I will post back results.
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    Do not remove roundcube like this. If you want to remove the roundcube from ubuntu, run:

    apt-get remove --purge roundcube roundcube-core roundcube-mysql roundcube-plugins roundcube-plugins-extra
     
  14. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    Thank you for letting me know!
     
  15. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    Ok, so I was able to install the latest version (1.3.4 Complete) without any problems!
    But now I don't see error log file? Its not in same location as with old version that was removed ie. /var/log/roundcube/errors
    It is interesting that /opt/roundcube/logs only had .haccess but as soon as I sent test email sendmail file appeared there showing log of sent email so I assume if there was any errors it would generate error file?
     
  16. till

    till Super Moderator Staff Member ISPConfig Developer

    Why do you miss a file with errors when it's working? Custom installations don't use the log directory of the Ubuntu roundcube package.
     
  17. JohnnyBeGood

    JohnnyBeGood Member HowtoForge Supporter

    Just wanted to make sure everything's working properly and that there are no errors that over time could turn into something bigger. That's the only reason :)
     

Share This Page